Bug 430272 - migrate-to-self allowed
migrate-to-self allowed
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rgmanager (Show other bugs)
5.1
All Linux
urgent Severity low
: rc
: ---
Assigned To: Lon Hohberger
GSSApproved
: ZStream
Depends On:
Blocks: 431520
  Show dependency treegraph
 
Reported: 2008-01-25 12:57 EST by Lon Hohberger
Modified: 2009-04-16 18:18 EDT (History)
4 users (show)

See Also:
Fixed In Version: RHBA-2008-0353
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 10:31:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fixes behavior (629 bytes, patch)
2008-01-25 12:57 EST, Lon Hohberger
no flags Details | Diff

  None (edit)
Description Lon Hohberger 2008-01-25 12:57:39 EST
On RHEL5.1, the following creates a migrate-copy on the local host, which can
cause problems:

clusvcadm -M vm:myvm -m <local_host_name> 

...  This should be a no-op.  It can cause an outage of a VM, or at the very
least, unnecessary downtime.

This can also be observed during a simultaneous cluster reboot in some cases. 
The virtual machine can get stuck in 'migrating' state.

Version-Release number of selected component (if applicable): rgmanager-2.0.31

How reproducible: 100%
Comment 1 Lon Hohberger 2008-01-25 12:57:39 EST
Created attachment 292967 [details]
Fixes behavior
Comment 5 RHEL Product and Program Management 2008-01-25 13:15:24 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 11 errata-xmlrpc 2008-05-21 10:31:01 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0353.html

Note You need to log in before you can comment on or make changes to this bug.